Subject: Re: [PATCH net-next v1 1/1] net: phy: dp83td510: Add basic support for the DP83TD510 Ethernet PHY

From: Andrew Lunn <[email-masked]>
Date: Mon, 26 Jul 2021 15:23:00 +0200

> With current driver ethtool with show this information:
> Settings for eth1:
> 	Supported ports: [ TP	 MII ]
> 	Supported link modes:   Not reported

Interesting. The default function for getting the PHYs abilities is
doing better than i expected. I was guessing you would see 10BaseT
here.

Given that, what you have is O.K. for the moment. 

> > I suspect you are talking about the PoE aspects. That is outside the
> > scope for phylib. PoE in general is not really supported in the Linux
> > kernel, and probably needs a subsystem of its own.
> 
> No, no. I'm talking about data signals configuration (2.4Vpp/1Vpp), which
> depends on application and cable length. 1Vpp should not be used with
> cable over 200 meter

Should not be used, or is not expected to work very well?

> and 2.4Vpp should not be used on safety critical applications. 

Please work with the other T1L driver writer to propose a suitable way
to configure this. We want all T1L drivers to use the same
configuration method, DT properties etc.

	      Andrew